Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.datum
Class VerticalDatumType

    Object
      CodeList<VerticalDatumType>
          VerticalDatumType

All Implemented Interfaces:
  Serializable, Comparable<VerticalDatumType>

    @UML(identifier="CD_VerticalDatumType",
         specification=ISO_19111)
    public final class VerticalDatumType

extends CodeList<VerticalDatumType>

Type of a vertical datum.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  Serialized Form

Field Summary
`static VerticalDatumType` | `BAROMETRIC` Atmospheric pressure is the basis for the definition of the origin of the associated vertical coordinate system axis.
`static VerticalDatumType` | `DEPTH` The zero point of the vertical axis is defined by a surface that has meaning for the purpose which the associated vertical measurements are used for.
`static VerticalDatumType` | `ELLIPSOIDAL` A vertical datum for ellipsoidal heights that are measured along the normal to the ellipsoid used in the definition of horizontal datum.
`static VerticalDatumType` | `GEOIDAL` The zero value of the associated vertical coordinate system axis is defined to approximate a constant potential surface, usually the geoid.
`static VerticalDatumType` | `ORTHOMETRIC` A vertical datum for orthometric heights that are measured along the plumb line.
`static VerticalDatumType` | `OTHER_SURFACE` In some cases, e.g. oil exploration and production, a geological feature, such as the top or bottom of a geologically identifiable and meaningful subsurface layer, is used as a vertical datum.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static VerticalDatumType` | `valueOf(String code)` Returns the VerticalDatumType that matches the given string, or returns a new one if none match it.
`static VerticalDatumType[]` | `values()` Returns the list of `VerticalDatumType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER_SURFACE

    @UML(identifier="other surface",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final VerticalDatumType OTHER_SURFACE

  In some cases, e.g. oil exploration and production, a geological feature, such as the top or bottom of a geologically identifiable and meaningful subsurface layer, is used as a vertical datum. Other variations to the above three vertical datum types may exist and are all included in this type.

### GEOIDAL

    @UML(identifier="geoidal",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final VerticalDatumType GEOIDAL

  The zero value of the associated vertical coordinate system axis is defined to approximate a constant potential surface, usually the geoid. Such a reference surface is usually determined by a national or scientific authority, and is then a well-known, named datum.

### ELLIPSOIDAL

    @UML(identifier="CS_DatumType.CS_VD_Ellipsoidal",
         obligation=CONDITIONAL,
         specification=OGC_01009)
    public static final VerticalDatumType ELLIPSOIDAL

  A vertical datum for ellipsoidal heights that are measured along the normal to the ellipsoid used in the definition of horizontal datum.

### DEPTH

    @UML(identifier="depth",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final VerticalDatumType DEPTH

  The zero point of the vertical axis is defined by a surface that has meaning for the purpose which the associated vertical measurements are used for. For hydrographic charts, this is often a predicted nominal sea surface (i.e., without waves or other wind and current effects) that occurs at low tide. Depths are measured in the direction perpendicular (approximately) to the actual equipotential surfaces of the earth's gravity field, using such procedures as echo-sounding.

### BAROMETRIC

    @UML(identifier="barometric",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final VerticalDatumType BAROMETRIC

  Atmospheric pressure is the basis for the definition of the origin of the associated vertical coordinate system axis. These are approximations of orthometric heights obtained with the help of a barometer or a barometric altimeter. These values are usually expressed in one of the following units: meters, feet, millibars (used to measure pressure levels), or theta value (units used to measure geopotential height).

### ORTHOMETRIC

    @UML(identifier="CS_DatumType.CS_VD_Orthometric",
         obligation=CONDITIONAL,
         specification=OGC_01009)
    public static final VerticalDatumType ORTHOMETRIC

  A vertical datum for orthometric heights that are measured along the plumb line.

Method Detail

### values

    public static VerticalDatumType[] values()

  Returns the list of `VerticalDatumType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<VerticalDatumType>`

### valueOf

    public static VerticalDatumType valueOf(String code)

  Returns the VerticalDatumType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.